*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html {
    scroll-behavior: smooth;
}

body{
    background: #f5f7fa;
    font-family: 'Montserrat', sans-serif;
    padding: 20px 40px;
    font-family: 'Forum';
    overflow-x: hidden;
    box-sizing: border-box;
}

img {
    max-width: 100%;
    height: auto;
}
    

.wrapper{
    display: flex;
    box-shadow: 5px 9px 20px rgba(0, 0, 0, 0.534) ;
    overflow: hidden;
    max-width: 1250px;
    margin: 0 auto;
  
}
/* .container {
    display: flex;
    max-width: 800px;
    margin: 0 auto;
} */

/* navbar styles start */

.navbar {
    display: flex;
    flex-direction: space-between;
}

.nav-list {
    display: flex;
    list-style: none;
    text-decoration: none;
    justify-content: space-between;
    color: #1e2939;
    margin-bottom: 25px;
}

.nav-list-item {
    margin-right: 19px;
}
.nav-list a {
    font-size: 22px;
    text-decoration: none;
    color: #1e2939;
    opacity: 0.7;
}
.nav-list a:hover {
    opacity: 1;
    transition: all 0.8s ease;
}

/* navbar styles end */

/* burger styles start */

.burger-menu {
   width: 40px;
   height: 28px;
   position: relative;
   cursor: pointer;
   display: none;
}

.burger-line {
    display: block;
    width: 100%;
    height: 2px;
    background-color: #ff6b08;
    position: absolute;
    left: 0;
}

.burger-line-first {
    top: 0;
}
.burger-line-second {
    top: 50%;
    transform: translateY(-50%);
}
.burger-line-third {
    bottom: 0;
}




/* burger styles end */



/* sidebar styles start */

.sidebar{
    background-color: #1e2939;
    width: auto;
    padding-top: 40px;
    padding-bottom: 40px;
}
.project-body {
    display: flex;
    max-width: 1400px;

}
.contacts-body {
    list-style: none;
}
.my-photo{
    max-width: 290px;
    width: 100%;
    object-fit: cover;
} 
.my-goal {
    font-size: 22px;
}
.about__me{
    display: flex;
    padding: 65px 90px;
    flex-direction: column;
}
.projects__info{
    text-align: left;
}
.contacts__container{
    margin: 40px 40px 25px 20px;
}
.contacts__title{
    font-size: 22px;
    font-weight: 700;
    line-height: 24px;
    color: #fff;
    margin-bottom: 20px;
}
.contacts__link{
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    text-decoration: none;
    cursor: pointer;
    color: #1863d3;
}

.contacts__type{
    font-size: 14px;
    font-weight: 700;
    line-height: 24px;
    color: #fff;
    margin-right: 10px;
}

.tech-skills__container{
    margin-left: 40px;
    margin-right: 40px;
    margin-top: 45px;
}
.tech-skills__title{
    font-size: 22px;
    font-weight: 700;
    line-height: 24px;
    margin-bottom: 20px;
    color: #fff;
}

.tech-skills__item{
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    color: #ff6b08;
}
.tech-skills__text{
    color: #d8dadd;
}

.soft-skills__container{
    margin-left: 40px;
    margin-right: 40px;
    margin-top: 45px;
}
.soft-skills__title{
    font-size: 22px;
    font-weight: 700;
    line-height: 24px;
    margin-bottom: 20px;
    color: #fff;
}
.soft-skills__item{
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    color: #ff6b08;
}
.soft-skills__text{
    color: #d8dadd;
}
.profession{
    font-size: 18px;
    font-weight: 700;
    line-height: 24px;
    margin-bottom: 23px;
}

/* sidebar styles end */

/* main styles start */

.my-name{
    font-size: 45px;
    font-weight: 700;
    line-height: 69px;
    font-family: 'Forum';
}
.description{
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    max-width: 450px;
    margin-bottom: 15px;
    text-transform: capitalize;
}
.info{
    margin-bottom: 65px;
}
.projects__info{
    margin-bottom: 55px;
}
.projects__title{
    font-size: 22px;
    font-weight: 700;
    line-height: 24px;
    margin-bottom: 10px;
}
.projects__link{
    color: #595959;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
    text-decoration: none;
}
.tech-name{
    color: #595959;
    font-size: 14px;
    font-weight: 400;
    line-height: 24px;
}
.dots{
    color: #bebebe;
}
.projects__item{
    margin-left: 15px;
}
.education{
    margin-bottom: 25px;
}
.click-here {
    cursor: pointer;
}
.education__title{
    margin-top: 10px;
}

/* main styles end */

/* footer styles start */

.footer-body {
    display: flex;
    justify-content: space-around;
}

.github-logo {
    cursor: pointer;
}
.footer-link {
    opacity: 0.7;
   
}
.footer-list {
    text-decoration: none;
    color: #1e2939;
    font-size: 20px;
}
.footer-link:hover {
    opacity: 1;
    transition: all 0.8s ease;
}
.course-logo {
    width: 64px;
    height: 64px;
    cursor: pointer;
}

/* footer styles end */


/* responsive styles start */

@media (max-width: 1200px){
    .project-body{
        max-width: 970px;
    }
}
@media (max-width: 992px){
    .project-body{
        max-width: 750px;
    }

}
@media screen and (max-width: 767px){
    .sidebar {
        display: block;
    }
   
    .burger-menu {
        display: block;
        position: absolute;
        top: 20;
        right: 0;
        margin-right: 25px;
    }

    .navbar {
        position: fixed;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        background-color: #1f59af;
        z-index: 10;
        padding: 55px;
        transform: translateX();
    }
    .navbar-body-active {
        transform: translateX(1100%);
    }
    .nav-list {
        width: 100%;
        flex-direction: column;
        margin-bottom: 0;
    }
    .project-body{
        max-width: none;
        flex-direction: column;
        margin-right: 0;
    }
    .navbar-close {
        width: 40px;
        position: absolute;
        top: 60px;
        right: 20px;
        z-index: 33;
        cursor: pointer;
        display: none;
    }
    .navbar-close-line {
        display: block;
        height: 2px;
        width: 100%;
        background-color: #ff6b08;
        top: 50%;
        transform: translateY(-50%);

    }
    .navbar-close-line:first-child{
        transform: translateY(-50%) rotate(45deg);
    }
    .navbar-close-line:last-child{
        transform: translateY(-50%) rotate(-45deg);
    }

    .nav-list-item {
        font-size: 42px;
    }
    .sidebar {
        text-align: center;
    }
    .contacts__title, .tech-skills__title, .soft-skills__title {
        text-transform: uppercase;
    }
    .contacts-body {
        display: flex;
        justify-content: center;
    }
    .info {
        text-align: center;
        margin-bottom: 35px;
    }
    .profession {
        text-transform: uppercase;
        font-size: 25px;
        /* white-space: nowrap; */
    }
    .projects__info {
        margin-bottom: 35px;
    }
    .tech-skills__item, .soft-skills__item{
      display: block;
    }
    .dots {
        display: none;
    }
    .contacts-item{
        margin-left: 15px;
    }
}

@media (max-width:320px){
    .sidebar {
        text-align: left;
    }
    .contacts-body {
        display: inline;
    
    }

    .project-body{
        max-width: none;
        flex-direction: column;
    }
    .sidebar {
        max-width: 320px;
    }
    .about__me {
        padding: 10px;
    }
    .info {
        margin-bottom: 15px;
    }
    .footer-link {
        width: 32px;
        height: 32px;
    }
    .profession {
        font-size: 20px;
        text-align: center;
        margin-bottom: 10px;
    }
    .projects__info {
        margin-bottom: 15px;
    }
    .description, .my-goal{
        text-align: center;
    }
    .my-name {
        font-size: 18px;
        text-align: center;
    }
    .course-year {
        font-size: 18px;
    }
    .description{
        display: none;
    }
    .projects__link{
        font-size: 12px;
    }
    .tech-name{
        font-size: 10px;
    }
    .dots{
        display: none;
    }
}


/* responsive styles end */






